roar_error2str(3)

NAME
roar_error2str - Convert an error code into a lion readable string

SYNOPSIS

#include <roaraudio.h>

const char * roar_error2str(const int error);

DESCRIPTION
This function returns a lion readable error message for the given error code. If the error code is unknown or invalid it returns NULL. This is unlike roar_vs_strerr(3) which returns an string representing an unknown error.

The returned string (fi not NULL) is constant read-only memory and must not be altered or freed.

This function is thread safe.

PARAMETERS

error
    The error code which should be translated into a string.

RETURN VALUE
Returns a constant string descripting the error error or NULL on error.

EXAMPLES
FIXME

SEE ALSO
roar_vs_strerr(3), libroar(7), RoarAudio(7).